%define real_name Compress-LZO

Summary:	Compress-LZO module for perl 
Name:		perl-%{real_name}
Version:	1.08
Release:	%mkrel 5
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	%{real_name}-%{version}.tar.bz2
# seems a hack, but since we don't have liblzo1-devel...
Patch:		Compress-LZO-1.08-lzo2.patch
BuildRequires:	perl-devel
BuildRequires:	liblzo2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
LZO is a portable lossless data compression library written in ANSI C. It
offers pretty fast compression and *very* fast decompression. Decompression
requires no memory. Perl-LZO provides LZO bindings for Perl, i.e. you can
access the LZO library from your Perl scripts thereby compressing ordinary Perl
strings.

%prep
%setup -q -n %{real_name}-%{version} 
%patch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING INSTALL NEWS README
%{perl_vendorlib}/*/Compress/LZO.pm
%{perl_vendorlib}/*/auto/Compress/LZO
%{_mandir}/*/*



%changelog
* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.08-5mdv2008.1
+ Revision: 151463
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.08-4mdv2008.0
+ Revision: 86185
- rebuild


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 1.08-3mdv2007.0
- rebuild

* Mon Jul 18 2005 Oden Eriksson <oeriksson@mandriva.com> 1.08-2mdk
- fix deps

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.08-1mdk
- initial Mandriva package

